Câu lệnh Thử và Ngoại trừ trong Python – Cách xử lý Ngoại lệ trong Python – thử ngoại trừ và khác trong python

Khi viết mã bằng Python, bạn thường có thể đoán trước được lỗi thời gian chạy ngay cả trong một chương trình đúng về mặt cú pháp và logic. Những lỗi này có thể do đầu vào không hợp lệ hoặc một số mâu thuẫn có thể dự đoán được. Trong Python, bạn có thể sử dụng khối try và khối ngoại trừ để xử lý hầu hết các lỗi này dưới dạng ngoại lệ

Bạn đang xem: thử ngoại trừ và khác trong python

Khi viết mã trong Python, bạn thường có thể đoán trước các lỗi thời gian chạy ngay cả trong một chương trình đúng về mặt cú pháp và logic. Những lỗi này có thể do đầu vào không hợp lệ hoặc một số mâu thuẫn có thể dự đoán được.

Trong Python, bạn có thể sử dụng các khối try ngoại trừ để xử lý hầu hết các lỗi này dưới dạng ngoại lệ một cách linh hoạt hơn.

Trong hướng dẫn này, bạn sẽ học cú pháp chung của thử ngoại trừ . Sau đó, chúng ta sẽ tiến hành viết mã các ví dụ đơn giản, thảo luận về những gì có thể xảy ra sai sót và đưa ra các biện pháp khắc phục bằng cách sử dụng các khối try ngoại trừ .

Cú pháp của Python Thử và Ngoại trừ Khối

Hãy bắt đầu bằng cách hiểu cú pháp của try Ngoại trừ < / code> câu lệnh trong Python. Mẫu chung được hiển thị bên dưới:

  hãy thử:
# Có thể có lỗi trong khối này
    
ngoại trừ & lt; loại lỗi & gt ;:
# Làm điều này để xử lý ngoại lệ;
# được thực thi nếu khối thử gặp lỗi
    
khác:
# Làm điều này nếu khối thử thực thi thành công mà không có lỗi
   
cuối cùng:
# Khối này luôn được thực thi
 

Hãy xem các khối khác nhau được sử dụng để làm gì:

  • Khối try là khối các câu lệnh mà bạn thích thử thực hiện. Tuy nhiên, có thể có lỗi thời gian chạy do một ngoại lệ và khối này có thể không hoạt động như dự kiến.
  • Khối trừ được kích hoạt khi try khối không thành công do một ngoại lệ. Nó chứa một tập hợp các câu lệnh thường cung cấp cho bạn một số ngữ cảnh về những gì đã xảy ra bên trong khối try .
  • Bạn phải luôn đề cập đến loại lỗi mà bạn định mắc phải là ngoại lệ bên trong khối ngoại trừ , được biểu thị bằng trình giữ chỗ & lt; loại lỗi & gt; trong đoạn mã trên.
  • Bạn cũng có thể sử dụng ngoại trừ mà không chỉ định & lt; loại lỗi & gt; . Tuy nhiên, đây không phải là phương pháp được khuyến nghị vì bạn không tính đến các loại lỗi khác nhau có thể xảy ra.

Khi cố gắng thực thi mã bên trong hãy thử chặn, cũng có khả năng xảy ra nhiều lỗi.

Ví dụ: bạn có thể đang truy cập danh sách bằng cách sử dụng chỉ mục nằm ngoài phạm vi, sử dụng khóa từ điển sai và cố gắng mở một tệp không tồn tại - tất cả đều nằm trong khối try .

Trong trường hợp này, bạn có thể gặp phải IndexError , KeyError FileNotFoundError . Và bạn phải thêm nhiều khối ngoại trừ như số lỗi mà bạn dự đoán, mỗi khối cho mỗi loại lỗi.

  • else khối chỉ được kích hoạt nếu khối try được thực thi mà không có lỗi. Điều này có thể hữu ích khi bạn muốn thực hiện hành động tiếp theo khi khối try thành công. Ví dụ: nếu bạn thử và mở một tệp thành công, bạn có thể muốn đọc nội dung của nó.
  • Khối cuối cùng luôn được thực thi, bất kể điều gì xảy ra trong các khối khác. Điều này hữu ích khi bạn muốn giải phóng tài nguyên sau khi thực thi một khối mã cụ thể.

Lưu ý : else cuối cùng là tùy chọn. Trong hầu hết các trường hợp, bạn chỉ có thể sử dụng khối try để thử làm điều gì đó và bắt lỗi dưới dạng ngoại lệ bên trong khối ngoại trừ .

Trong phần tiếp theo vài phút, bạn sẽ sử dụng những gì bạn đã học được cho đến nay để xử lý các ngoại lệ trong Python. Hãy bắt đầu.

Cách xử lý ZeroDivisionError trong Python

Hãy xem xét hàm chia () được hiển thị bên dưới. Nó nhận hai đối số - num div - và trả về thương số của phép chia num / div .

 < code class = "language-Python"> def split (num, div):
  return num / div  

▶ Gọi hàm với các số khác nhau sẽ trả về kết quả như mong đợi:

  res = split (100, số 8)
in (res)

# Đầu ra
12,5

res = chia (568,64)
in (res)

# Đầu ra
8,875
 

Mã này hoạt động tốt cho đến khi bạn thử chia cho 0:

  split (27,0)

 

Bạn thấy rằng chương trình gặp sự cố tạo ra ZeroDivisionError :

  # Output
-------------------------------------------------- -------------------------
ZeroDivisionError Traceback (lần gọi gần đây nhất)
& lt; ipython-input-19-932ea024ce43 & gt; trong & lt; mô-đun & gt; ()
---- & gt; 1 lần chia (27,0)

& lt; ipython-input-1-c98670fd7a12 & gt; chia (num, div)
      1 lần chia def (num, div):
---- & gt; 2 trả về num / div

ZeroDivisionError: chia cho 0
 

Bạn có thể xử lý phép chia này cho số 0 như một ngoại lệ bằng cách thực hiện như sau:

  • Trong khối try , hãy đặt một gọi hàm split () . Về bản chất, bạn đang cố chia num cho div .
  • Xử lý trường hợp khi div 0 như một ngoại lệ bên trong khối trừ .
  • Trong ví dụ này, bạn có thể ngoại trừ ZeroDivisionError bằng cách in một thông báo cho người dùng biết rằng họ đã thử chia cho không.

Điều này được hiển thị trong đoạn mã bên dưới:

  thử:
    res = chia (num, div)
    in (res)
ngoại trừ ZeroDivisionError:
    print ("Bạn đã cố gắng chia cho 0 :(")
 

Với đầu vào hợp lệ, mã vẫn hoạt động tốt.

  chia (10,2)
# Đầu ra
5.0
 

Khi bạn thử tìm hiểu về số 0, bạn sẽ được thông báo về trường hợp ngoại lệ xảy ra và chương trình sẽ kết thúc một cách duyên dáng.

  chia (10,0)
# Đầu ra
Bạn đã cố gắng chia cho không :(
 

Cách xử lý TypeError trong Python

Trong phần này, bạn sẽ thấy cách bạn có thể sử dụng thử ngoại trừ để xử lý TypeError trong Python.

▶ Hãy xem xét hàm sau đây add_10 () nhận một số làm đối số, thêm 10 vào nó và trả về kết quả của phép cộng này.

  def add_10 (num):
  return num + 10  

Bạn có thể gọi hàm add_10 () với bất kỳ số nào và nó sẽ hoạt động tốt, như được hiển thị bên dưới:

  result = add_10 (89)
in (kết quả)

#Output
99  

Bây giờ hãy thử gọi add_10 () bằng "five" thay vì 5 .

  add_10 ("five")  

Bạn sẽ nhận thấy rằng chương trình của mình gặp sự cố với thông báo lỗi sau:

< pre> --------------------------------------------- ------------------------------
TypeError Traceback (lần gọi gần đây nhất)
& lt; ipython-input-15-9844e949c84e & gt; trong & lt; mô-đun & gt; ()
---- & gt; 1 add_10 ("năm")

& lt; ipython-input-13-2e506d74d919 & gt; trong add_10 (num)
1 def add_10 (num):
---- & gt; 2 trả về số + 10

TypeError: chỉ có thể nối str (không phải "int") với str

Thông báo lỗi TypeError: chỉ có thể nối str (không phải "int") với str giải thích mà bạn chỉ có thể nối hai chuỗi chứ không thể thêm một số nguyên vào một chuỗi.

Bây giờ, bạn có như sau:

  • Cho một số my_num , hãy thử gọi hàm add_10 () với my_num làm đối số. Nếu đối số thuộc loại hợp lệ, sẽ không có ngoại lệ
  • Nếu không, khối ngoại trừ tương ứng với TypeError sẽ được kích hoạt, thông báo cho người dùng rằng đối số thuộc loại không hợp lệ.

Điều này được giải thích bên dưới:

  my_num = "five"
thử:
  result = add_10 (my_num)
  in (kết quả)
ngoại trừ TypeError:
  print ("Đối số` num` phải là một số ")  

Vì bây giờ bạn đã xử lý TypeError như một ngoại lệ, bạn chỉ được thông báo rằng đối số thuộc loại không hợp lệ.

  Đối số `num` phải là một số  

Cách xử lý IndexError trong Python

Nếu bạn đã làm việc với danh sách Python hoặc bất kỳ danh sách Python nào có thể lặp lại trước đây, có thể bạn sẽ gặp phải IndexError .

Điều này là do thường khó theo dõi tất cả các thay đổi đối với các tệp lặp lại. Và bạn có thể đang cố truy cập một mục ở chỉ mục không hợp lệ.

▶ Trong ví dụ này, danh sách my_list có 4 mục. Các chỉ số hợp lệ là 0, 1, 2, 3 và -1, -2, -3, -4 nếu bạn sử dụng lập chỉ mục phủ định.

2 là hợp lệ chỉ mục, bạn thấy rằng mục tại chỉ mục 2 , là C ++ , được in ra:

  my_list = ["Python", "C", "C ++", "JavaScript"]
print (my_list [2])

#Output
C ++  

Nếu bạn thử truy cập một mục tại chỉ mục nằm ngoài phạm vi của chỉ số hợp lệ, bạn sẽ gặp phải IndexError :

  print (my_list [4])  
 ----------------------------------------------- ----------------------------
IndexError Traceback (lần gọi gần đây nhất)
& lt; ipython-input-7-437bc6501dea & gt; trong & lt; mô-đun & gt; ()
      1 my_list = ["Python", "C", "C ++", "JavaScript"]
---- & gt; 2 bản in (my_list [4])

IndexError: danh sách chỉ mục nằm ngoài phạm vi  

Nếu bạn đã quen với mẫu này, bây giờ bạn sẽ sử dụng thử ngoại trừ để xử lý lỗi chỉ mục.

▶ Trong đoạn mã bên dưới, bạn thử truy cập vào mục tại chỉ mục được chỉ định bởi search_idx .

  search_idx = 3
thử:
  print (my_list [search_idx])
ngoại trừ IndexError:
  print ("Xin lỗi, chỉ mục danh sách nằm ngoài phạm vi")  

Ở đây, search_idx ( 3 ) là một chỉ mục hợp lệ và mục tại chỉ mục cụ thể được in ra:

  JavaScript  

Nếu search_idx nằm ngoài phạm vi hợp lệ cho các chỉ mục, khối ngoại trừ bắt IndexError làm ngoại lệ và không còn thông báo lỗi dài nữa. 🙂

  search_idx = 4
thử:
  print (my_list [search_idx])
ngoại trừ IndexError:
  print ("Rất tiếc, chỉ mục danh sách nằm ngoài phạm vi")  

Đúng hơn, thông báo rằng search_idx nằm ngoài phạm vi chỉ số hợp lệ được hiển thị:

  Xin lỗi, chỉ mục danh sách nằm ngoài phạm vi  

Cách xử lý a KeyError trong Python

Bạn có thể gặp phải KeyError khi làm việc với từ điển Python

▶ Hãy xem xét ví dụ này khi bạn có từ điển my_dict .

  my_dict = {"key1": "value1", "key2": "value2", "key3" : "value3"}
search_key = "khóa không tồn tại"
print (my_dict [search_key])  
  • Từ điển my_dict có 3 cặp khóa-giá trị, "key1: value1" , "key2: value2" "key3: value3"
  • Bây giờ, bạn cố gắng truy cập vào từ điển và truy cập giá trị tương ứng với key "key không tồn tại" .

Theo dự kiến, bạn sẽ nhận được KeyError :

  ----------------------------------------------- ----------------------------
KeyError Traceback (cuộc gọi gần đây nhất sau cùng)
& lt; ipython-input-2-2a61d404be04 & gt; trong & lt; mô-đun & gt; ()
      1 my_dict = {"key1": "value1", "key2": "value2", "key3": "value3"}
      2 search_key = "khóa không tồn tại"
---- & gt; 3 my_dict [search_key]

KeyError: 'khóa không tồn tại'  

Bạn có thể xử lý KeyError theo cách gần giống như cách bạn xử lý IndexError .

  • Bạn có thể thử truy cập vào giá trị tương ứng với khóa được chỉ định bởi search_key .
  • Nếu search_key thực sự là một khóa hợp lệ, giá trị tương ứng được in ra.
  • Nếu bạn gặp trường hợp ngoại lệ do khóa không tồn tại, bạn sử dụng khối trừ để cho người dùng biết.

Điều này được giải thích trong đoạn mã bên dưới:

  thử:
  print (my_dict [search_key])
ngoại trừ KeyError:
  print ("Xin lỗi, đó không phải là khoá hợp lệ!")  
  Xin lỗi, đó không phải là khoá hợp lệ!  

▶ Nếu bạn muốn để cung cấp ngữ cảnh bổ sung, chẳng hạn như tên của khóa không hợp lệ, bạn cũng có thể làm điều đó. Có thể khóa bị sai chính tả khiến khóa không hợp lệ. Trong trường hợp này, việc cho người dùng biết khóa được sử dụng có thể sẽ giúp họ sửa lỗi chính tả.

Bạn có thể thực hiện việc này bằng cách lấy khóa không hợp lệ là & lt; error_msg & gt; và sử dụng nó trong thông báo được in khi ngoại lệ xảy ra:

  thử:
  print (my_dict [search_key])
ngoại trừ KeyError dưới dạng error_msg:
  print (f "Xin lỗi, {error_msg} không phải là khoá hợp lệ!")  

▶ Lưu ý rằng tên của khoá cũng được in ra như thế nào:

  Xin lỗi, 'khóa không tồn tại' không phải là khóa hợp lệ!  

Cách xử lý FileNotFoundError trong Python

Một lỗi phổ biến khác xảy ra khi làm việc với các tệp trong Python là FileNotFoundError .

▶ Trong ví dụ sau, bạn đang cố gắng mở tệp my_file.txt bằng cách chỉ định đường dẫn của nó đến hàm open () . Và bạn muốn đọc tệp và in ra nội dung của tệp.

Tuy nhiên, bạn vẫn chưa tạo tệp ở vị trí được chỉ định.

Nếu bạn thử chạy đoạn mã bên dưới, bạn sẽ nhận được FileNotFoundError :

  my_file = open ("/ content / sample_data / my_file.txt ")
content = my_file.read ()
in (nội dung)  
 ----------------------------------------------- ----------------------------
FileNotFoundError Traceback (lần gọi gần đây nhất)
& lt; ipython-input-4-4873cac1b11a & gt; trong & lt; mô-đun & gt; ()
---- & gt; 1 my_file = open ("my_file.txt")

FileNotFoundError: [Errno 2] Không có tệp hoặc thư mục nào như vậy: 'my_file.txt'  

Và sử dụng thử ngoại trừ , bạn có thể hãy làm như sau:

  • Thử mở tệp trong khối try .
  • Xử lý FileNotFoundError trong khối ngoại trừ bằng cách cho người dùng biết rằng họ đã cố gắng mở một tệp không tồn tại.
  • Nếu khối try thành công và tệp vẫn tồn tại , đọc và in ra nội dung của tệp.
  • Trong khối cuối cùng , hãy đóng tệp để không lãng phí tài nguyên. Nhớ lại cách tệp sẽ được đóng bất kể điều gì xảy ra trong các bước mở và đọc tệp.
  hãy thử:
  my_file = open ("/ content / sample_data / my_file.txt")
ngoại trừ FileNotFoundError:
  print (f "Xin lỗi, tệp không tồn tại")
khác:
  content = my_file.read ()
  in (nội dung)
cuối cùng:
  my_file.close ()  

Lưu ý cách bạn đã xử lý lỗi như một ngoại lệ và chương trình kết thúc hiển thị thông báo dưới đây một cách duyên dáng:

  Xin lỗi, tệp không tồn tại  

▶ Hãy xem xét trường hợp khối else được kích hoạt. Tệp my_file.txt hiện có ở đường dẫn được đề cập trước đó.

image-77

Và đây là nội dung của tệp my_file.txt chứa:

image-78

Bây giờ, việc chạy lại đoạn mã trước đó sẽ hoạt động như mong đợi.

Lần này, tệp my_file.txt hiện diện, khối else được kích hoạt và nội dung của nó được in ra, như hình dưới đây:

image-80

Tôi hy vọng điều này làm rõ cách bạn có thể xử lý các trường hợp ngoại lệ khi làm việc với tệp.

Kết luận

Trong hướng dẫn này, bạn đã biết cách sử dụng thử ngoại trừ sta tements trong Python để xử lý các ngoại lệ.

Bạn đã viết mã các ví dụ để hiểu những loại ngoại lệ nào có thể xảy ra và cách bạn có thể sử dụng ngoại trừ để tìm các lỗi phổ biến nhất.

Hy vọng bạn thích hướng dẫn này . Chúc bạn viết mã vui vẻ! Cho đến lần sau 🙂


Xem thêm những thông tin liên quan đến chủ đề thử ngoại trừ và khác trong python

Catch and Handle EXCEPTIONS in Python (Assert, Try, Except, Else, Finally, Raise, Custom Errors)

alt

  • Tác giả: Digital Academy
  • Ngày đăng: 2020-11-17
  • Đánh giá: 4 ⭐ ( 9134 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: 🎓 Welcome back to Digital Academy, the Complete Python Development Tutorial for Beginners, in which you will learn How to Catch and Handle Exceptions in Python.

    ▬▬▬▬ 📖 Content ▬▬▬▬

    🖥️ When executing Python code, different errors may occur: Syntax errors in Python (parsing errors), and Logical errors in Python - also known as Exceptions in Python!

    When your program encounters an error and that something goes wrong, the Python interpreter stops the current process and passes it to the calling process - until it is handled. If not handled, the program will crash straight away and prints an error message.

    BUT, If you do not want this Default behaviour, you need to Handle these exceptions in your program. That is where Try / Except statements in Python comes in...

    🎯 Let's discover How to Define, Raise, Catch and Handle Exceptions in Python?

    Let's play this video, stick around and watch until the end! 👍🏻

    - Digital Academy™ 🎓

    Assertion in Python
    --------------------------------
    Instead of waiting for a program to crash midway, you can start by making an assertion in Python and verify that a certain condition is met. If True, your program continues. But, if the condition is False, your program will throw an AssertionError Exception

    assert ('like' in ['like', 'comment', 'share']), "You did not like this video - yet!"

    Try ... Except
    ---------------------
    All exceptions can be handled using the TRY EXCEPT statements. The critical operations which can raise an exception is placed inside the TRY clause. And the code that handles the exception is written in the EXCEPT clause.

    ○ Catch ALL Exceptions

    try:
    statements
    except Exception as error:
    print('Something went wrong:', error)

    ○ Catch SINGLE Exception

    try:
    statements
    except ValueError:
    print('Something went wrong: ValueError!')

    ○ Catch MULTIPLE Exceptions

    try:
    statements
    except TypeError:
    print('TypeError!')
    except:
    print('Default Error')

    Try ... Except ... Else
    --------------------------------
    In some situations, you might want to run a certain block of code ONLY if the code inside the try clause ran without any errors. For these cases, you can use the optional 'ELSE' keyword to define a block of code to be executed

    try:
    statements
    except:
    print('Something went wrong')
    else:
    print('Nothing went wrong')

    Try ... Except ... Finally
    -----------------------------------
    The try…except statement in Python has another and optional FINALLY clause. The finally block, if specified, will always be executed - regardless if the try block raises an error or not

    try:
    statements
    except:
    print('Something went wrong')
    finally:
    print('Always execute this')

    Raise an Exception in Python
    ----------------------------------------------
    Exceptions are raised when an error occurs, at runtime. But, you can also choose to manually throw an exception if a condition is met - at any time

    raise NameError('An exception occured!')

    Traceback (most recent call last):
    File "stdin", line 1, in module
    NameError: An exception occured!

    Custom Exceptions in Python
    -----------------------------------------------
    You can define Custom Exceptions in Python by creating a new Class. This new exception class has to be derived from the built-in Exception class

    class CustomError(Exception):
    pass

    raise CustomError
    raise CustomError("A custom error occurred")

    ▬▬▬▬ 🎬 Watch NEXT ▬▬▬▬

    🌐 Blog: http://digital.academy.free.fr/blog/python-exceptions

    📖 [PLAYLIST] Complete Python Development Course for Beginners: http://digital.academy.free.fr/playlist/python-development-for-beginners

    ▬▬▬▬ 🔗 Links ▬▬▬▬

    🌐 Blog: http://digital.academy.free.fr/blog

    🛒 Shopping: https://payhip.com/DigitalAcademyOnline

    📘 [BOOK] Python for Absolute Beginners: https://amzn.to/3NvyOWV

    👨🏼‍🏫 [ALL COURSES] https://digital-academy-online.teachable.com

    💌 Weekly Newsletter for Developers: https://www.getrevue.co/profile/digital_academy

    ▬▬▬▬ ⏱ Timestamps ▬▬▬▬

    00:00 Introduction
    00:23 Default Exception Handling in Python
    01:00 Types of Errors in Python (Syntax & Logical)
    03:09 Assertion in Python (assert)
    04:03 Python Exceptions - Try / Except in Python
    07:11 Python Exceptions - Try / Except / Else in Python
    08:07 Python Exceptions - Try / Except / Finally in Python
    09:02 How to Raise an Exception in Python
    09:39 Custom Exception in Python

    Python Tutorial Beginners Exceptions

    ▬▬▬▬ ⭐ FOLLOW US ▬▬▬▬

    ✧ http://digital.academy.free.fr
    ✧ https://twitter.com/DigitalAcademyy
    ✧ https://www.facebook.com/digitalacademyfr
    ✧ https://www.instagram.com/digital_academy_fr
    ✧ https://www.youtube.com/c/DigitalAcademyOnline

    ▬▬▬▬ ⚡ SUPPORT US ▬▬▬▬

    ✧ http://digital.academy.free.fr/join
    ✧ http://digital.academy.free.fr/donate
    ✧ http://digital.academy.free.fr/subscribe
    ✧ https://www.patreon.com/digital_academy
    ✧ https://www.buymeacoffee.com/digital_academy

Python Thử ngoại trừ

  • Tác giả: pluginthanhtoan.com
  • Đánh giá: 3 ⭐ ( 2733 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: botvietbai.com cung cấp các hướng dẫn, tài liệu tham khảo và bài tập trực tuyến miễn phí bằng tất cả các ngôn ngữ chính của web. Bao gồm các chủ đề phổ biến như HTML, CSS, JavaScript, Python, SQL, Java, và nhiều hơn nữa.

Các loại toán tử trong Python

  • Tác giả: t3h.edu.vn
  • Đánh giá: 3 ⭐ ( 6299 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: Toán tử trong Python là một ký hiệu thực hiện một phép toán trên một hoặc nhiều toán hạng. Toán hạng là một biến hoặc một giá trị mà chúng ta thực hiện phép toán.

PYTHON THỬ NGOẠI TRỪ BẰNG PYTHON

  • Tác giả: vi.ichlese.at
  • Đánh giá: 4 ⭐ ( 6460 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: Thử Ngoại trừ trong Python cho phép bạn bắt lỗi và làm điều gì đó hợp lý hơn. Các ngoại lệ thuận tiện cho việc xử lý lỗi trong chương trình.

Hàm trong Python

  • Tác giả: o2.edu.vn
  • Đánh giá: 5 ⭐ ( 1579 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: Để khai báo một hàm trong Python chúng ta sử dụng từ khóa def với cú pháp:

Ngoại lệ Python

  • Tác giả: vi.tutorialcup.com
  • Đánh giá: 5 ⭐ ( 6673 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: Trong Python lỗi Exception và Syntax là khác nhau. Ngoại lệ xảy ra khi mã đúng về mặt cú pháp nhưng có lỗi trong chính mã.

Các toán tử cơ bản trong Python

  • Tác giả: toidicode.com
  • Đánh giá: 5 ⭐ ( 6506 lượt đánh giá )
  • Khớp với kết quả tìm kiếm: Ở phần kiểu dữ liệu number trong Python mình cũng nói qua về một số toán tử trong Python rồi, nhưng đó mới chỉ là một phần nhỏ thôi, trên thực tế thì Python sẽ có các toán tử cơ bản như sau:

Xem thêm các bài viết khác thuộc chuyên mục: Kiến thức lập trình

Xem Thêm  Cách gói văn bản vào một dòng mới trong CSS - làm thế nào để lấy văn bản để bọc trong css